%global commit ef2d837d48670e5f0bc424473aa65f286bb9a189

Name:           nodejs-zipfile
Version:        0.5.4
Release:        1%{?dist}
Summary:        C++ library for handling zipfiles in Node.js

License:        BSD
URL:            https://github.com/springmeyer/node-zipfile
Source0:        https://github.com/springmeyer/node-zipfile/archive/%{commit}/node-zipfile-%{commit}.tar.gz
Patch0:         nodejs-zipfile-pregyp.patch
ExclusiveArch:  %{nodejs_arches}

BuildRequires:  nodejs-devel
BuildRequires:  node-gyp
BuildRequires:  libzip-devel >= 0.11.2
BuildRequires:  zlib-devel

BuildRequires:  npm(nan) >= 1.2.0
BuildRequires:  npm(mocha)
BuildRequires:  npm(mkdirp)

%{?nodejs_default_filter}

%description
Bindings to libzip for handling zipfile archives in Node.js.


%prep
%setup -q -n node-zipfile-%{commit}
%patch0 -p1
%nodejs_fixdep -r nan
%nodejs_fixdep --dev nan "~1.2.0"
rm -rf deps/* node_modules
echo "{}" > deps/common-libzip.gypi


%build
%nodejs_symlink_deps --build
export CXXFLAGS="%{optflags}"
node-gyp configure -- -Dshared_libzip=true -Dmodule_name=zipfile -Dmodule_path=lib/binding
node-gyp build


%install
mkdir -p %{buildroot}/%{nodejs_sitearch}/zipfile
cp -pr package.json lib %{buildroot}/%{nodejs_sitearch}/zipfile
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha -R spec


%files
%doc LICENSE.txt README.md
%{nodejs_sitearch}/zipfile


%changelog
* Thu Nov 20 2014 Tom Hughes <tom@compton.nu> - 0.5.4-1
- Update to 0.5.4 upstream release

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Aug  1 2014 Tom Hughes <tom@compton.nu> - 0.5.3-1
- Update to 0.5.3 upstream release

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Apr 14 2014 Tom Hughes <tom@compton.nu> - 0.5.2-1
- Update to 0.5.2 upstream release
- Switch to source from github as npm no longer includes tests

* Fri Mar 14 2014 Tom Hughes <tom@compton.nu> - 0.5.0-1
- Update to 0.5.0 upstream release

* Fri Feb 14 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.4.3-2
- rebuild for icu-53 (via v8)

* Fri Dec 20 2013 Tom Hughes <tom@compton.nu> - 0.4.3-1
- Update to 0.4.3 upstream release

* Wed Oct 30 2013 Tom Hughes <tom@compton.nu> - 0.4.2-1
- Update to 0.4.2 upstream release

* Tue Oct  1 2013 Tom Hughes <tom@compton.nu> - 0.4.1-1
- Update to 0.4.1 upstream release

* Wed Aug 21 2013 Remi Collet <rcollet@redhat.com> - 0.4.0-2
- rebuild for new libzip

* Sun Aug 11 2013 Tom Hughes <tom@compton.nu> - 0.4.0-1
- Update to 0.4.0 upstream release
- Update to latest nodejs packaging standards

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr  3 2013 Tom Hughes <tom@compton.nu> - 0.3.4-4
- Filter out provide for Node.js native extension
- Enable tests

* Wed Mar 13 2013 Tom Hughes <tom@compton.nu> - 0.3.4-3
- Restrict supported architectures using ExclusiveArch
- Rebuild against node 0.10

* Sat Mar  2 2013 Tom Hughes <tom@compton.nu> - 0.3.4-2
- Fix permissions on _zipfile.node
- BuildRequire zlib-devel
- BuildRequire mkdirp for tests
- Link node_modules for tests
- Set NODE_PATH when running tests

* Sun Feb 10 2013 Tom Hughes <tom@compton.nu> - 0.3.4-1
- Initial build of 0.3.4
